// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: essmodule/essmodule.proto

package openfmb.essmodule;

public interface FrequencyRegulationOrBuilder extends
    // @@protoc_insertion_point(interface_extends:essmodule.FrequencyRegulation)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * uint/0.01Hz  Frequency regulation is performed when the grid frequency goes beyond the dead
   * bands. The dead bands are defined as follows: Upper DB = frequency set point + dead band plus Lower
   * DB = frequency set point – dead band minus
   * </pre>
   *
   * <code>.google.protobuf.FloatValue frequencyDeadBandMinus = 1;</code>
   * @return Whether the frequencyDeadBandMinus field is set.
   */
  boolean hasFrequencyDeadBandMinus();
  /**
   * <pre>
   * uint/0.01Hz  Frequency regulation is performed when the grid frequency goes beyond the dead
   * bands. The dead bands are defined as follows: Upper DB = frequency set point + dead band plus Lower
   * DB = frequency set point – dead band minus
   * </pre>
   *
   * <code>.google.protobuf.FloatValue frequencyDeadBandMinus = 1;</code>
   * @return The frequencyDeadBandMinus.
   */
  com.google.protobuf.FloatValue getFrequencyDeadBandMinus();
  /**
   * <pre>
   * uint/0.01Hz  Frequency regulation is performed when the grid frequency goes beyond the dead
   * bands. The dead bands are defined as follows: Upper DB = frequency set point + dead band plus Lower
   * DB = frequency set point – dead band minus
   * </pre>
   *
   * <code>.google.protobuf.FloatValue frequencyDeadBandMinus = 1;</code>
   */
  com.google.protobuf.FloatValueOrBuilder getFrequencyDeadBandMinusOrBuilder();

  /**
   * <pre>
   * uint/0.01Hz  Frequency regulation is performed when the grid frequency goes beyond the dead
   * bands. The dead bands are defined as follows: Upper DB = frequency set point + dead band plus Lower
   * DB = frequency set point – dead band minus
   * </pre>
   *
   * <code>.google.protobuf.FloatValue frequencyDeadBandPlus = 2;</code>
   * @return Whether the frequencyDeadBandPlus field is set.
   */
  boolean hasFrequencyDeadBandPlus();
  /**
   * <pre>
   * uint/0.01Hz  Frequency regulation is performed when the grid frequency goes beyond the dead
   * bands. The dead bands are defined as follows: Upper DB = frequency set point + dead band plus Lower
   * DB = frequency set point – dead band minus
   * </pre>
   *
   * <code>.google.protobuf.FloatValue frequencyDeadBandPlus = 2;</code>
   * @return The frequencyDeadBandPlus.
   */
  com.google.protobuf.FloatValue getFrequencyDeadBandPlus();
  /**
   * <pre>
   * uint/0.01Hz  Frequency regulation is performed when the grid frequency goes beyond the dead
   * bands. The dead bands are defined as follows: Upper DB = frequency set point + dead band plus Lower
   * DB = frequency set point – dead band minus
   * </pre>
   *
   * <code>.google.protobuf.FloatValue frequencyDeadBandPlus = 2;</code>
   */
  com.google.protobuf.FloatValueOrBuilder getFrequencyDeadBandPlusOrBuilder();

  /**
   * <pre>
   * Control value (TRUE or FALSE)
   * </pre>
   *
   * <code>.google.protobuf.BoolValue frequencyRegulationCtl = 3;</code>
   * @return Whether the frequencyRegulationCtl field is set.
   */
  boolean hasFrequencyRegulationCtl();
  /**
   * <pre>
   * Control value (TRUE or FALSE)
   * </pre>
   *
   * <code>.google.protobuf.BoolValue frequencyRegulationCtl = 3;</code>
   * @return The frequencyRegulationCtl.
   */
  com.google.protobuf.BoolValue getFrequencyRegulationCtl();
  /**
   * <pre>
   * Control value (TRUE or FALSE)
   * </pre>
   *
   * <code>.google.protobuf.BoolValue frequencyRegulationCtl = 3;</code>
   */
  com.google.protobuf.BoolValueOrBuilder getFrequencyRegulationCtlOrBuilder();

  /**
   * <pre>
   * uint/0.01Hz  Target frequency
   * </pre>
   *
   * <code>.google.protobuf.FloatValue frequencySetPoint = 4;</code>
   * @return Whether the frequencySetPoint field is set.
   */
  boolean hasFrequencySetPoint();
  /**
   * <pre>
   * uint/0.01Hz  Target frequency
   * </pre>
   *
   * <code>.google.protobuf.FloatValue frequencySetPoint = 4;</code>
   * @return The frequencySetPoint.
   */
  com.google.protobuf.FloatValue getFrequencySetPoint();
  /**
   * <pre>
   * uint/0.01Hz  Target frequency
   * </pre>
   *
   * <code>.google.protobuf.FloatValue frequencySetPoint = 4;</code>
   */
  com.google.protobuf.FloatValueOrBuilder getFrequencySetPointOrBuilder();

  /**
   * <pre>
   * uint/0.01Hz  Other modes of operation, such as peak shaving, smoothing or SOC management may
   * operate if the grid frequency is within the stable band. Upper stable band = frequency set point +
   * band plus Lower stable band = frequency set point – band minus
   * </pre>
   *
   * <code>.google.protobuf.FloatValue gridFrequencyStableBandMinus = 5;</code>
   * @return Whether the gridFrequencyStableBandMinus field is set.
   */
  boolean hasGridFrequencyStableBandMinus();
  /**
   * <pre>
   * uint/0.01Hz  Other modes of operation, such as peak shaving, smoothing or SOC management may
   * operate if the grid frequency is within the stable band. Upper stable band = frequency set point +
   * band plus Lower stable band = frequency set point – band minus
   * </pre>
   *
   * <code>.google.protobuf.FloatValue gridFrequencyStableBandMinus = 5;</code>
   * @return The gridFrequencyStableBandMinus.
   */
  com.google.protobuf.FloatValue getGridFrequencyStableBandMinus();
  /**
   * <pre>
   * uint/0.01Hz  Other modes of operation, such as peak shaving, smoothing or SOC management may
   * operate if the grid frequency is within the stable band. Upper stable band = frequency set point +
   * band plus Lower stable band = frequency set point – band minus
   * </pre>
   *
   * <code>.google.protobuf.FloatValue gridFrequencyStableBandMinus = 5;</code>
   */
  com.google.protobuf.FloatValueOrBuilder getGridFrequencyStableBandMinusOrBuilder();

  /**
   * <pre>
   * uint/0.01Hz  Other modes of operation, such as peak shaving, smoothing or SOC management may
   * operate if the grid frequency is within the stable band. Upper stable band = frequency set point +
   * band plus Lower stable band = frequency set point – band minus
   * </pre>
   *
   * <code>.google.protobuf.FloatValue gridFrequencyStableBandPlus = 6;</code>
   * @return Whether the gridFrequencyStableBandPlus field is set.
   */
  boolean hasGridFrequencyStableBandPlus();
  /**
   * <pre>
   * uint/0.01Hz  Other modes of operation, such as peak shaving, smoothing or SOC management may
   * operate if the grid frequency is within the stable band. Upper stable band = frequency set point +
   * band plus Lower stable band = frequency set point – band minus
   * </pre>
   *
   * <code>.google.protobuf.FloatValue gridFrequencyStableBandPlus = 6;</code>
   * @return The gridFrequencyStableBandPlus.
   */
  com.google.protobuf.FloatValue getGridFrequencyStableBandPlus();
  /**
   * <pre>
   * uint/0.01Hz  Other modes of operation, such as peak shaving, smoothing or SOC management may
   * operate if the grid frequency is within the stable band. Upper stable band = frequency set point +
   * band plus Lower stable band = frequency set point – band minus
   * </pre>
   *
   * <code>.google.protobuf.FloatValue gridFrequencyStableBandPlus = 6;</code>
   */
  com.google.protobuf.FloatValueOrBuilder getGridFrequencyStableBandPlusOrBuilder();

  /**
   * <pre>
   * uint/0.1%  The droops define the reaction of the PCS to under/over frequency events. A droop of
   * 1% means that the PCS will output 100% power if the frequency is 1% of the nominal frequency away
   * from the upper or lower dead band. The minimum droop value possible is 0.8%.
   * </pre>
   *
   * <code>.google.protobuf.FloatValue overFrequencyDroop = 7;</code>
   * @return Whether the overFrequencyDroop field is set.
   */
  boolean hasOverFrequencyDroop();
  /**
   * <pre>
   * uint/0.1%  The droops define the reaction of the PCS to under/over frequency events. A droop of
   * 1% means that the PCS will output 100% power if the frequency is 1% of the nominal frequency away
   * from the upper or lower dead band. The minimum droop value possible is 0.8%.
   * </pre>
   *
   * <code>.google.protobuf.FloatValue overFrequencyDroop = 7;</code>
   * @return The overFrequencyDroop.
   */
  com.google.protobuf.FloatValue getOverFrequencyDroop();
  /**
   * <pre>
   * uint/0.1%  The droops define the reaction of the PCS to under/over frequency events. A droop of
   * 1% means that the PCS will output 100% power if the frequency is 1% of the nominal frequency away
   * from the upper or lower dead band. The minimum droop value possible is 0.8%.
   * </pre>
   *
   * <code>.google.protobuf.FloatValue overFrequencyDroop = 7;</code>
   */
  com.google.protobuf.FloatValueOrBuilder getOverFrequencyDroopOrBuilder();

  /**
   * <pre>
   * uint/0.1%  The droops define the reaction of the PCS to under/over voltage events. A droop of 1%
   * means that the PCS will output 100% power if the voltage is 1% of the nominal voltage away from the
   * upper or lower dead band. The minimum droop value possible is 0.8%.
   * </pre>
   *
   * <code>.google.protobuf.FloatValue underFrequencyDroop = 8;</code>
   * @return Whether the underFrequencyDroop field is set.
   */
  boolean hasUnderFrequencyDroop();
  /**
   * <pre>
   * uint/0.1%  The droops define the reaction of the PCS to under/over voltage events. A droop of 1%
   * means that the PCS will output 100% power if the voltage is 1% of the nominal voltage away from the
   * upper or lower dead band. The minimum droop value possible is 0.8%.
   * </pre>
   *
   * <code>.google.protobuf.FloatValue underFrequencyDroop = 8;</code>
   * @return The underFrequencyDroop.
   */
  com.google.protobuf.FloatValue getUnderFrequencyDroop();
  /**
   * <pre>
   * uint/0.1%  The droops define the reaction of the PCS to under/over voltage events. A droop of 1%
   * means that the PCS will output 100% power if the voltage is 1% of the nominal voltage away from the
   * upper or lower dead band. The minimum droop value possible is 0.8%.
   * </pre>
   *
   * <code>.google.protobuf.FloatValue underFrequencyDroop = 8;</code>
   */
  com.google.protobuf.FloatValueOrBuilder getUnderFrequencyDroopOrBuilder();
}
